#ifndef TOKENIZER_H
#define TOKENIZER_H

#include <stdbool.h>

typedef enum Token { T_INT, T_ADD, T_PRINT, T_SEMICOLON, T_END } Token;

bool tTokenize(const char* path);
const char* tGetError();

void tResetReader();
Token tPeekToken();
Token tReadToken();
bool tReadInt(int* i);

const char* tGetTokenName(Token token);

#endif